### Struct

# Qmi MessageLocRegisterEventsInput

since: 1.22

#### Description [src]

    struct QmiMessageLocRegisterEventsInput {
      /* No available fields */
    }

The `QmiMessageLocRegisterEventsInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.22

#### Constructors

###### qmi_message_loc_register_events_input_new

Allocates a new `QmiMessageLocRegisterEventsInput`.

since: 1.22

#### Instance methods

###### qmi_message_loc_register_events_input_get_event_registration_mask

Get the ‘Event Registration Mask’ field from `self`.

since: 1.22

###### qmi_message_loc_register_events_input_ref

Atomically increments the reference count of `self` by one.

since: 1.22

###### qmi_message_loc_register_events_input_set_event_registration_mask

Set the ‘Event Registration Mask’ field in the message.

since: 1.22

###### qmi_message_loc_register_events_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.22